package com.yem.wm.bc.common.enums;

import kd.bos.dataentity.resource.ResManager;

/**
 * @author 夜子
 * @ClassName MultiLangEnumBridge
 * @description: 枚举转换
 * @date 2023年08月03日
 * @version: 1.0
 */
public class MultiLangEnumBridge {
    private String description;
    private String resourceID;
    private String systemType;

    public MultiLangEnumBridge() {
    }

    public MultiLangEnumBridge(String description, String resourceID, String systemType) {
        this.description = description;
        this.resourceID = resourceID;
        this.systemType = systemType;
    }

    public String loadKDString() {
        return ResManager.loadKDString(this.getDescription(), this.getResourceID(), this.getSystemType());
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getResourceID() {
        return this.resourceID;
    }

    public void setResourceID(String resourceID) {
        this.resourceID = resourceID;
    }

    public String getSystemType() {
        return this.systemType;
    }
}